GSLB
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of GSLB service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Status | Not Before |
|---|
| 1.1 | CURRENT | - |
| 1.0 | DEPRECATED | 20260531 |
OpenAPI URL
https://gslb.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
API Version History
1.1
GSLB API has been updated to version 1.1.
Changes
- [Changed]
POST /gslb/1.1/gslbs - CreateGslb API has been changed.- The following field has been added to the request:
- [New]
GET /gslb/1.1/gslbs/routing-control - ListGslbsRegionalRoutingControl API has been added. - [New]
PUT /gslb/1.1/gslbs/{gslb_id}/routing-control - SetGslbRegionalRoutingControl API has been added.
1.0
GSLB API has been released.
Changes
- [New]
GET /gslb/1.0/gslbs - ListGslbs API has been added. - [New]
POST /gslb/1.0/gslbs - CreateGslb API has been added. - [New]
GET /gslb/1.0/gslbs/{gslb_id} - ShowGslb API has been added. - [New]
PUT /gslb/1.0/gslbs/{gslb_id} - SetGslb API has been added. - [New]
DELETE /gslb/1.0/gslbs/{gslb_id} - DeleteGslb API has been added. - [New]
PUT /gslb/1.0/gslbs/{gslb_id}/health-check - SetGslbHealthCheck API has been added. - [New]
GET /gslb/1.0/gslbs/{gslb_id}/resources - ListGslbResources API has been added. - [New]
PUT /gslb/1.0/gslbs/{gslb_id}/resources - SetGslbResources API has been added.
1.1.1 - 1.1
post /v1/gslbs
Description
Create a global Server Load Balancer resource for distributing traffic across multiple regions.
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/gslbs
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"
Request body
{
"algorithm": "ROUND_ROBIN",
"description": "Example Description for GSLB",
"env_usage": "PUBLIC",
"health_check": {
"health_check_interval": 5,
"health_check_probe_timeout": 5,
"health_check_user_id": "user",
"health_check_user_password": "Passw0rd!",
"protocol": "https",
"receive_string": "OK",
"send_string": "GET /",
"service_port": 1,
"timeout": 6
},
"name": "example.gslb.e.samsungsdscloud.com",
"resources": [
{
"description": "",
"destination": "192.168.1.100",
"region": "KR-WEST-1",
"weight": 10
}
],
"tags": []
}
Example HTTP response
Response 202
{
"gslb": {
"algorithm": "ROUND_ROBIN",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Example Description for GSLB",
"env_usage": "PUBLIC",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": 2,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "example.gslb.e.samsungsdscloud.com",
"state": "ACTIVE"
}
}
1.1.2 - 1.0
post /v1/gslbs
Description
Create a global Server Load Balancer resource for distributing traffic across multiple regions.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260531 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"
Request body
{
"algorithm": "",
"description": "",
"env_usage": "",
"health_check": {
"health_check_interval": 5,
"health_check_probe_timeout": 5,
"health_check_user_id": "user",
"health_check_user_password": "Passw0rd!",
"protocol": "https",
"receive_string": "OK",
"send_string": "GET /",
"service_port": 1,
"timeout": 6
},
"name": "",
"resources": [
{
"description": "",
"destination": "192.168.1.100",
"disabled": false,
"region": "KR-WEST-1",
"weight": 10
}
],
"tags": []
}
Example HTTP response
Response 202
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}
1.2.1 - 1.1
delete /v1/gslbs/{gslb_id}
Description
Delete the Global Server Load Balancer resource.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs/{gslb_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"
Example HTTP response
Response 202
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}
1.2.2 - 1.0
delete /v1/gslbs/{gslb_id}
Description
Delete the Global Server Load Balancer resource.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs/{gslb_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"
Example HTTP response
Response 202
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}
1.3.1 - 1.1
get /v1/gslbs/{gslb_id}/resources
Description
The list of resources for the GSLB.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/gslbs/{gslb_id}/resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"
Example HTTP response
Response 200
{
"count": 20,
"gslb_resources": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"destination": "192.168.1.100",
"health_check_status": "CONNECTED",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"region": "KR-WEST-1",
"status": "ENABLE",
"weight": 10
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.3.2 - 1.0
get /v1/gslbs/{gslb_id}/resources
Description
The list of resources for the GSLB.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/gslbs/{gslb_id}/resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"
Example HTTP response
Response 200
{
"count": 20,
"gslb_resources": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"destination": "192.168.1.100",
"disabled": false,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"region": "KR-WEST-1",
"weight": 10
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.4.1 - 1.1
get /v1/gslbs
Description
Gets a list of Global Server Load Balancers.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | state optional | The current state of the GSLB (e.g., ACTIVE, CREATING, EDITING, ERROR, DELETING). Example :
| any of [string, null] | None |
| query | name optional | The name of the GSLB. Example :
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GslbListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"
Example HTTP response
Response 200
{
"count": 20,
"gslbs": [
{
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.4.2 - 1.0
get /v1/gslbs
Description
Gets a list of Global Server Load Balancers.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | state optional | The current state of the GSLB (e.g., ACTIVE, CREATING, EDITING, ERROR, DELETING). Example :
| any of [string, null] | None |
| query | name optional | The name of the GSLB. Example :
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GslbListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"
Example HTTP response
Response 200
{
"count": 20,
"gslbs": [
{
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.5.1 - 1.1
get /v1/gslbs/routing-control
Description
Gets a list of GSLB regional routing controls.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | region optional | The region where the GSLB resource is located. Example :
| any of [string, null] | None |
| query | status optional | Whether to use the GSLB resource. (e.g., ENABLE, DISABLE) Example :
| any of [enum (ENABLE, DISABLE), null] | None |
| query | name optional | The name of the GSLB. Example :
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/gslbs/routing-control
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"regional_gslbs": [
{
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_regional_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"region": "",
"status": "ENABLE"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}
1.6.1 - 1.1
put /v1/gslbs/{gslb_id}
Description
Update the Global Server Load Balancer resource.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
| body | body required |
| GslbSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs/{gslb_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"
Request body
{
"algorithm": "ROUND_ROBIN",
"description": ""
}
Example HTTP response
Response 200
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}
1.6.2 - 1.0
put /v1/gslbs/{gslb_id}
Description
Update the Global Server Load Balancer resource.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
| body | body required |
| GslbSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs/{gslb_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"
Request body
{
"algorithm": "ROUND_ROBIN",
"description": ""
}
Example HTTP response
Response 200
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}
1.7.1 - 1.1
put /v1/gslbs/{gslb_id}/health-check
Description
Set GSLB Health Checks.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
| body | body required |
| GslbHealthCheck | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs/{gslb_id}/health-check
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"
Request body
{
"health_check_interval": 5,
"health_check_probe_timeout": 5,
"health_check_user_id": "user",
"health_check_user_password": "Passw0rd!",
"protocol": "https",
"receive_string": "OK",
"send_string": "GET /",
"service_port": 1,
"timeout": 6
}
Example HTTP response
Response 202
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}
1.7.2 - 1.0
put /v1/gslbs/{gslb_id}/health-check
Description
Set GSLB Health Checks.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
| body | body required |
| GslbHealthCheck | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs/{gslb_id}/health-check
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"
Request body
{
"health_check_interval": 5,
"health_check_probe_timeout": 5,
"health_check_user_id": "user",
"health_check_user_password": "Passw0rd!",
"protocol": "https",
"receive_string": "OK",
"send_string": "GET /",
"service_port": 1,
"timeout": 6
}
Example HTTP response
Response 202
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}
1.8.1 - 1.1
put /v1/gslbs/{gslb_id}/routing-control
Description
Updates GSLB regional routing control settings.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
| body | body required |
| GslbRoutingControlRequest | |
Responses
Example HTTP request
Request path
/v1/gslbs/{gslb_id}/routing-control
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"
Request body
{
"region": "KR-WEST-1",
"status": "ENABLE"
}
Example HTTP response
Response 202
{
"regional_gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_regional_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"region": "",
"status": "ENABLE"
}
}
1.9.1 - 1.1
put /v1/gslbs/{gslb_id}/resources
Description
Set GSLB Resources.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
| body | body required |
| GslbResourcesSetRequest | |
Responses
Example HTTP request
Request path
/v1/gslbs/{gslb_id}/resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"
Request body
{
"resources": [
{
"description": "",
"destination": "192.168.1.100",
"region": "KR-WEST-1",
"weight": 10
}
]
}
Example HTTP response
Response 202
{
"gslb_resources": [
{
"description": "",
"destination": "192.168.1.100",
"region": "KR-WEST-1",
"status": "ENABLE",
"weight": 10
}
]
}
1.9.2 - 1.0
put /v1/gslbs/{gslb_id}/resources
Description
Set GSLB Resources.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
| body | body required |
| GslbResourceSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs/{gslb_id}/resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"
Request body
{
"resources": [
{
"description": "",
"destination": "192.168.1.100",
"disabled": false,
"region": "KR-WEST-1",
"weight": 10
}
]
}
Example HTTP response
Response 202
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}
1.10.1 - 1.1
get /v1/gslbs/{gslb_id}
Description
Shows details of a specific Global Server Load Balancer.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs/{gslb_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.1"
Example HTTP response
Response 200
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}
1.10.2 - 1.0
get /v1/gslbs/{gslb_id}
Description
Shows details of a specific Global Server Load Balancer.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | gslb_id required | The unique identifier of the GSLB. Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GslbShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/gslbs/{gslb_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = gslb 1.0"
Example HTTP response
Response 200
{
"gslb": {
"algorithm": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "",
"env_usage": "",
"health_check": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"health_check_interval": "",
"health_check_probe_timeout": "",
"health_check_user_id": "",
"health_check_user_password": "",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"protocol": "",
"receive_string": "",
"send_string": "",
"service_port": "",
"timeout": ""
},
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"linked_resource_count": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "",
"state": ""
}
}